;---------------------------------------------------------------    
;irqequ.inc - equates for FINDIRQ Utility                      |
;--------------------------------------------------------------|
;FINDIRQ Copyright (c) 1993                                    |
;                                                              |
;Rick Knoblaugh All rights reserved.                           |
;First Appeared in PC MAGAZINE, US Edition,                    |
;September 28, 1993                                            |
;--------------------------------------------------------------|
; 4/17/93                      Rick Knoblaugh                  |
;--------------------------------------------------------------|
;
TRUE            equ     1
FALSE           equ     0         
IRQ_STACK_SIZE  equ     128             ;stack size in words
INSTALL_INT     equ     2fh             ;use this int to check installation
GET_INST_STATE  equ     0               ;get installed state int 2fh function
FINDIRQ_ID      equ     0f4h            ;picked a "unique" id
CK_EVERY_UNIT   equ     19              ;check every "second"
ESC_KEY         equ     1bh             ;escape key
DOS_PRT_STRING  equ     9               
DOS_TERM        equ     4ch             ;terminate program with error level
DOS_GET_VER     equ     30h
DOS_RELEASE_MEM equ     49h
DOS_CREATE_FILE equ     3Ch
DOS_WRITE_FILE  equ     40h
DOS_CLOSE_FILE  equ     3eh
DOS_OPEN_FILE   equ     3dh
DOS_READ_FILE   equ     3fh
DOS_TSR_FUNC    equ     31h
DOS_LIST_LISTS  equ     52h             ;undocumented call to get "list of lists"
DOS_SET_INT     equ     25h
DOS_GET_INT     equ     35h
DOS_GET_PSP     equ     51h             ;call to get current PSP
DOS_SET_PSP     equ     50h             ;call to set current PSP
GET_MOUSE_TYPE  equ     24h             ;mouse function to get ver and type
MASTER_PIC_MASK equ     21h             ;master 8259 PIC mask register
SLAVE_PIC_MASK  equ    0A1h             ;slave 8259 PIC mask register
MATH_IRQ        equ     13              ;IRQ used for math coprocessor        
CR              equ     13
LF              equ     10
BEEP            equ     7
TAB             equ     9
MAX_CMD_LINE    equ     128             ;maximum command line size
MAX_PATHLEN     equ     67              ;maximum path length
SWITCH_CHAR     equ     '/'
SCRN_LOWRT	equ     184fh           ;25th row, 80th column
LOCATE_CURSOR   equ     2               ;int 10h set cursor position
WRITE_ATTR_CHAR equ     9
BLANK_WINDOW    equ     0600h           ;int 10h scroll up blank all 
SCREEN_ATTRIB   equ     1fh             ;screens mostly this color
NULL            equ     0               
STR_TERM        equ     0  
DOS_STR_TERM    equ     '$'
HELP2_SWITCH    equ     '?'
HELP_SWITCH     equ     'H'
INIT_SWITCH     equ     'I'
TSR_SWITCH      equ     'T'
UNINST_SWITCH   equ     'U'
NOVERIFY_SWITCH equ     'D'
AT_MODEL        equ     0fch            ;code in ROM for AT machine
PS2_AT          equ     0f8h            ;code in ROM for PS/2 models 60 - 80
COLUMN_IRQ      equ     16              ;column for display of irq number
COLUMN_STD      equ     25              ;column for display of std device
COLUMN_THIS     equ     40              ;column for display of this system device
COLUMN_STATUS   equ     56              ;column for display of irq status 
DETAIL_ATTRIB   equ     63              ;attribute for detail lines (white on cyan)
FREE_ATTRIB     equ     15              ;attribute for "FREE" display (white on black)
BEG_SLAVE_INTS  equ     70h             ;ints for slave start at 70h
BEG_INTS        equ     8               ;ints for master 8259 start at 8
OP_JMP          equ     0ebh            ;op code for rel jump instruction
OP_CALL         equ     0e8h            ;op code for near call
OP_CS           equ     2eh
BYTES_TO_SEARCH equ     50h             ;look within this many bytes of code
OP_PUSHF        equ     9ch             ;op code for pushf        
OP_CALL_MEM16   equ     01effh
