;---------------------------------------------------------------    
;irqstruc.inc - structures for FINDIRQ Utility                 |
;--------------------------------------------------------------|
;FINDIRQ Copyright (c) 1993                                    |
;                                                              |
;Rick Knoblaugh All rights reserved.                           |
;First Appeared in PC MAGAZINE, US Edition,                    |
;September 28, 1993                                            |
;--------------------------------------------------------------|
; 4/17/93                      Rick Knoblaugh                  |
;--------------------------------------------------------------|

doub_word       struc   
d_offset        dw      ?
d_segment       dw      ?
doub_word       ends    

psp             struc
psp_int20       dw      ?
psp_nextpar     dw      ?
                db      ?
psp_farcall     db      5 dup(?)
psp_termadrs    dd      ?                       ;int 22h  address
psp_cntrlc      dd      ?                       ;int 23h  address
psp_crit_err    dd      ?                       ;int 24h  address
                dw      11 dup(?)
psp_environ_seg dw      ?
                dw      23 dup(?)
psp_fcb1        db      16 dup(?)
psp_fcb2        db      16 dup(?)
                dd      ?
psp_cmd_len     db      ?                       ;length of cmd tail
psp_cmd_tail    db      ?
psp             ends

cmd_dispatch    struc
cmd_routine     dw      ?
cmd_switch      db      ?
cmd_dispatch    ends

disp_data       struc   
str_col         db      ?
str_row         db      ?
str_attrib      db      ?
str_data        db      ?
disp_data       ends

disp_data2      struc   
str_colp        db      ?
str_rowp        db      ?
str_attribp     db      ?
str_data_ptr    dw      ?
disp_data2      ends

isr_data        struc
int_number      db      ?
isr_routine     dw      ?
old_isr         dw      ?
isr_data        ends 

device_desc_off struc
descrip         dw      0               ;offset of first description                
;;;DESC_ENTRY      equ  ($ - descrip)   ;for masm 6, this is better than equ 2
                dw      0               ;offset of 2nd description, etc.
                dw      0               
                dw      0               ;up to 4 of them
device_desc_off ends
DESC_ENTRY      equ     2               ;size of each entry


list_lists      struc                   ;list of lists call info
list_dk         db      22h dup(?)
nul_dev_head    db      ?
list_lists      ends 

list_lists30    struc                   ;list of lists call info  (DOS 3.0)
list_dk30       db      28h dup(?)
nul_dev_head30  db      ?
list_lists30    ends 


dev_header      struc
dev_chain       dd      ?
dev_attrib      dw      ?
dev_stratr      dw      ?
dev_intr        dw      ?
dev_char_name   db      ?                       ;first byte device name (char drivers)
dev_header      ends

CHAR_NAME_LEN   equ     8

drv_descrip     struc
drv_name        db      8 dup(?)
drv_name_term   db      ?
drv_descrip     ends

mast_slave      struc
d_master        db      ?
d_slave         db      ?
mast_slave      ends

mcb_struc       struc
mcb_sig         db      ?
mcb_owner       dw      ?
mcb_size        dw      ?
mcb_resv        db      3 dup(?)
mcb_fname       db      8 dup(?)
mcb_struc       ends





equip_list      record  num_prt_bits:2, eq_resv1:2, num_com_bits:3, eq_resv2:1, \
                        num_dsk:2, vid_mode:2, pc_plan:1, point_dev:1, \
                        math_co:1, boot_flop:1


pcpic           record  pclpt1:1, pcflop:1, pchard:1, pccom1:1, \
                        pccom2:1, pcvga:1, pckey:1, pctimer:1



atpic1          record  atlpt1:1, atflop:1, atlpt2:1, atcom1:1, \
                        atcom2:1, atcas:1, atkey:1, attimer:1

atpic2          record  atirq15:1, athard:1, atmath:1, atirq12:1, \
                        atirq11:1, atirq10:1, atvga:1, atclock:1




;------end of irqstruc.inc

